| Irrlicht 3D Engine |

Public Member Functions | Public Attributes
irr::scene::quake3::SVarGroupList Struct Reference

holding a group a variable More...

`#include <IQ3Shader.h>`

Inheritance diagram for irr::scene::quake3::SVarGroupList:

List of all members.

## Public Member Functions

- SVarGroupList ()
- virtual ~SVarGroupList ()

## Public Attributes

- core::array< SVarGroup > VariableGroup

## Detailed Description

holding a group a variable

Definition at line 625 of file IQ3Shader.h.

## Constructor & Destructor Documentation

irr::scene::quake3::SVarGroupList::SVarGroupList | ( |  | ) | `[inline]`

Definition at line 627 of file IQ3Shader.h.

References irr::core::ALLOC_STRATEGY_SAFE, irr::core::array< T, TAlloc >::setAllocStrategy(), and VariableGroup.

virtual irr::scene::quake3::SVarGroupList::~SVarGroupList | ( |  | ) | `[inline, virtual]`

Definition at line 631 of file IQ3Shader.h.

## Member Data Documentation

core::array< SVarGroup > irr::scene::quake3::SVarGroupList::VariableGroup

Definition at line 633 of file IQ3Shader.h.

Referenced by irr::scene::quake3::dumpShader(), irr::scene::quake3::IShader::getGroup(), irr::scene::quake3::IShader::getGroupSize(), and SVarGroupList().

The documentation for this struct was generated from the following file:

- IQ3Shader.h